package riomhaire.lti.core.model.configuration;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
/**
 * This represent a single names jason web key (name+public+private)
 */
public class JWKKey {
    String keyId;
    String publicKey;
    String privateKey;

    /**
     * Get Id of key
     * @return  id
     */
    public String getKeyId() {
        return keyId;
    }

    /**
     * set key id
     * @param keyId the id
     */
    public void setKeyId(String keyId) {
        this.keyId = keyId;
    }

    /**
     *  Getter for public key
     * @return   key as a string
     */
    public String getPublicKey() {
        return publicKey;
    }

    /**
     * Setter for public key
     * @param publicKey   key as a string
     */
    public void setPublicKey(String publicKey) {
        this.publicKey = publicKey;
    }

    /**
     *  Getter for private key
     * @return   key as a string
     */
    public String getPrivateKey() {
        return privateKey;
    }

    /**
     * Setter for private key
     * @param privateKey   key as a string
     */
    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

}
